#ifndef __actions_h_
#define __actions_h_

#include <gtk/gtk.h>

void action_new(GtkWidget * widget, gpointer callback_data);
void action_open_direct(const gchar *filename);
void action_open(GtkWidget * widget, gpointer callback_data);
void action_save(GtkWidget * widget, gpointer callback_data);
void action_saveas(GtkWidget * widget, gpointer callback_data);
void action_preferences(GtkWidget * widget, gpointer callback_data);
void action_quit(GtkWidget * widget, gpointer callback_data);

void action_account_new(GtkWidget * widget, gpointer callback_data);
void action_account_edit(GtkWidget * widget, gpointer callback_data);
void action_account_delete(GtkWidget * widget, gpointer callback_data);

void action_transaction_new(GtkWidget * widget, gpointer initial_acc_from);
void action_transaction_edit(GtkWidget * widget, gpointer callback_data);
void action_transaction_delete(GtkWidget * widget, gpointer callback_data);
void action_transaction_select(GtkWidget * widget, gpointer callback_data);
void action_transaction_unselect(GtkWidget * widget, gpointer callback_data);
void action_transaction_reverse_selection(GtkWidget * widget, gpointer callback_data);
void action_transaction_info(GtkWidget * widget, gpointer callback_data);
void action_transaction_set_highlight_mode(GtkWidget * widget, gpointer mode);

void action_schedule_new(GtkWidget * widget, gpointer callback_data);
void action_schedule_edit(GtkWidget * widget, gpointer callback_data);
void action_schedule_delete(GtkWidget * widget, gpointer callback_data);

void action_report_druid(GtkWidget * widget, gpointer callback_data);
void action_report_rebuild(GtkWidget * widget, gpointer callback_data);
void action_report_filter(GtkWidget * widget, gpointer command);

void action_limit_edit(GtkWidget * widget, gpointer callback_data);
void action_limit_clear(GtkWidget * widget, gpointer callback_data);
void action_limit_apply(GtkWidget * widget, gpointer callback_data);

void action_about(GtkWidget * widget, gpointer callback_data);

gint action_do_you_want_to_save(void); /* <- returns 0 - yes, 1 - no, 2 - cancel */
void action_error_msg(const gchar *normal, const gchar *fixed);

void action_notimplemented(GtkWidget * widget, gpointer callback_data);

#endif
